Skip to main content
Infrastructure/Change Management

GetCalendarMonthView

Retrieve the change calendar for a full month with per-day summaries

GET/api/v1/change-management/calendar/month

Operation ID

GetCalendarMonthView

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • view
    String

    Calendar view type: "week" or "month" Calendar view type: "week" or "month"

  • start
    String

    Start

  • tenantId
    String

    Optional tenant ID to filter the calendar view Optional tenant ID to filter the calendar view

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • days
    List

    The days value

    Example: (nested array)

    • date
      String

      Date of this summary in YYYY-MM-DD format

      Example: 2026-04-16

    • changeCount
      Integer

      Number of change requests on this day

      Example: 2

    • riskLevel
      String

      Aggregate risk level for this day in the monthly overview

      Example: low